<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.score.ScoreDataDetailMapper">

    <resultMap type="org.dromara.system.domain.score.vo.ScoreDataDetailVo" id="ScoreDataDetailResult">
        <result property="scoreId"    column="score_id"    />
        <result property="xueke"    column="xueke"    />
        <result property="score"    column="score"    />
        <result property="manfen"    column="manfen"    />
        <result property="avg"    column="avg"    />
        <result property="studentNumber"    column="student_number"    />
    </resultMap>
    <select id="selectListByStudentNumberList" resultMap="ScoreDataDetailResult">

        select student_number,xueke,score,manfen from score_data_detail
        where student_number in
        <foreach item="studentNumber" open="(" close=")" collection="studentNumberList" separator=",">
            #{studentNumber}
        </foreach>
        and score_id = #{scoreId}
    </select>
</mapper>
